-- Color definitions have been separated into their own module, so that
-- it's not necessary to import Curses everywhere.
module Color (
  Color(..)
) where

-- Supported text colors
data Color
  -- Standard ANSI colors
  = Black | Blue | Green | Cyan | Red | Magenta | Brown | LightGrey
  -- Bright versions of the above
  | DarkGrey | LightBlue | LightGreen | LightCyan
  | LightRed | LightMagenta | Yellow | White
  -- Default text color, whatever it is on this terminal
  | Text
