-- This module defines a class for objects that can be represented as a glyph
-- on the screen.  This includes monsters, items, and terrain features.

module Glyph (
  Glyph(..),
  Glyphable(..),
  you_glyph
) where

import Color

data Glyph = Glyph Color Char

class Glyphable a where
  glyph :: a -> Glyph

you_glyph :: Glyph
you_glyph = Glyph White '@'
