module Materials
  ( Material(..)
  , colorOf
  ) where

import Color

data Material
  = Iron | Silver
  | Wood | Leather | Glass | Liquid
  | Stone | Dirt

colorOf :: Material -> Color
colorOf Iron = Cyan
colorOf Silver = White
colorOf Wood = Brown
colorOf Leather = Brown
colorOf Glass = Cyan
colorOf Liquid = LightCyan     -- often depends on the liquid, though!
colorOf Stone = LightGrey
colorOf Dirt = Brown
